// Code generated by moq; DO NOT EDIT.
// github.com/matryer/moq

package artifact

import (
	"sync"
)

var (
	lockiStorageServiceMockcreateArtifact sync.RWMutex
	lockiStorageServiceMockdeleteArtifact sync.RWMutex
)

// Ensure, that iStorageServiceMock does implement iStorageService.
// If this is not the case, regenerate this file with moq.
var _ iStorageService = &iStorageServiceMock{}

// iStorageServiceMock is a mock implementation of iStorageService.
//
//     func TestSomethingThatUsesiStorageService(t *testing.T) {
//
//         // make and configure a mocked iStorageService
//         mockediStorageService := &iStorageServiceMock{
//             createArtifactFunc: func(m Model) (Model, error) {
// 	               panic("mock out the createArtifact method")
//             },
//             deleteArtifactFunc: func(m Model) (bool, error) {
// 	               panic("mock out the deleteArtifact method")
//             },
//         }
//
//         // use mockediStorageService in code that requires iStorageService
//         // and then make assertions.
//
//     }
type iStorageServiceMock struct {
	// createArtifactFunc mocks the createArtifact method.
	createArtifactFunc func(m Model) (Model, error)

	// deleteArtifactFunc mocks the deleteArtifact method.
	deleteArtifactFunc func(m Model) (bool, error)

	// calls tracks calls to the methods.
	calls struct {
		// createArtifact holds details about calls to the createArtifact method.
		createArtifact []struct {
			// M is the m argument value.
			M Model
		}
		// deleteArtifact holds details about calls to the deleteArtifact method.
		deleteArtifact []struct {
			// M is the m argument value.
			M Model
		}
	}
}

// createArtifact calls createArtifactFunc.
func (mock *iStorageServiceMock) createArtifact(m Model) (Model, error) {
	if mock.createArtifactFunc == nil {
		panic("iStorageServiceMock.createArtifactFunc: method is nil but iStorageService.createArtifact was just called")
	}
	callInfo := struct {
		M Model
	}{
		M: m,
	}
	lockiStorageServiceMockcreateArtifact.Lock()
	mock.calls.createArtifact = append(mock.calls.createArtifact, callInfo)
	lockiStorageServiceMockcreateArtifact.Unlock()
	return mock.createArtifactFunc(m)
}

// createArtifactCalls gets all the calls that were made to createArtifact.
// Check the length with:
//     len(mockediStorageService.createArtifactCalls())
func (mock *iStorageServiceMock) createArtifactCalls() []struct {
	M Model
} {
	var calls []struct {
		M Model
	}
	lockiStorageServiceMockcreateArtifact.RLock()
	calls = mock.calls.createArtifact
	lockiStorageServiceMockcreateArtifact.RUnlock()
	return calls
}

// deleteArtifact calls deleteArtifactFunc.
func (mock *iStorageServiceMock) deleteArtifact(m Model) (bool, error) {
	if mock.deleteArtifactFunc == nil {
		panic("iStorageServiceMock.deleteArtifactFunc: method is nil but iStorageService.deleteArtifact was just called")
	}
	callInfo := struct {
		M Model
	}{
		M: m,
	}
	lockiStorageServiceMockdeleteArtifact.Lock()
	mock.calls.deleteArtifact = append(mock.calls.deleteArtifact, callInfo)
	lockiStorageServiceMockdeleteArtifact.Unlock()
	return mock.deleteArtifactFunc(m)
}

// deleteArtifactCalls gets all the calls that were made to deleteArtifact.
// Check the length with:
//     len(mockediStorageService.deleteArtifactCalls())
func (mock *iStorageServiceMock) deleteArtifactCalls() []struct {
	M Model
} {
	var calls []struct {
		M Model
	}
	lockiStorageServiceMockdeleteArtifact.RLock()
	calls = mock.calls.deleteArtifact
	lockiStorageServiceMockdeleteArtifact.RUnlock()
	return calls
}
